curl --request GET \
--url https://api.yapily.com/payments/{paymentId}/details \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/payments/{paymentId}/details"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/payments/{paymentId}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yapily.com/payments/{paymentId}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"consent: <consent>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yapily.com/payments/{paymentId}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("consent", "<consent>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yapily.com/payments/{paymentId}/details")
.header("consent", "<consent>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yapily.com/payments/{paymentId}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["consent"] = '<consent>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"meta": {
"tracingId": "590c99aecd2844c7a5c3ea00c55ce0ef"
},
"data": {
"payments": [
{
"id": "pv3-a6ac6528-e8c8-44eb-b6f9-8521963518dd",
"institutionConsentId": "sdp-1-27a192bb-482f-4731-989b-e7271661248d",
"paymentIdempotencyId": "234g87t58tgeuo848wudjew489",
"paymentLifecycleId": "3gaq9wj387aojd83dh7549824",
"status": "COMPLETED",
"statusDetails": {
"status": "COMPLETED",
"statusUpdateDate": "2021-06-10T11:26:54.887Z",
"isoStatus": {
"code": "ACSC",
"name": "AcceptedSettlementCompleted"
}
},
"payeeDetails": {
"name": "Jane Doe",
"address": {
"country": "BE"
},
"accountIdentifications": [
{
"type": "IBAN",
"identification": "BE12345678901234"
}
]
},
"reference": "Bill Payment",
"amount": 1,
"currency": "EUR",
"amountDetails": {
"amount": 1,
"currency": "EUR"
},
"scheduledPaymentType": "DOMESTIC_PAYMENT",
"createdAt": "2021-06-10T11:26:54.887Z"
}
]
}
}Get Payment Details
Returns the details of a payment.
Most commonly used to check for payment status updates.
Feature: EXISTING_PAYMENTS_DETAILS
curl --request GET \
--url https://api.yapily.com/payments/{paymentId}/details \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/payments/{paymentId}/details"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/payments/{paymentId}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yapily.com/payments/{paymentId}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"consent: <consent>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yapily.com/payments/{paymentId}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("consent", "<consent>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yapily.com/payments/{paymentId}/details")
.header("consent", "<consent>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yapily.com/payments/{paymentId}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["consent"] = '<consent>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"meta": {
"tracingId": "590c99aecd2844c7a5c3ea00c55ce0ef"
},
"data": {
"payments": [
{
"id": "pv3-a6ac6528-e8c8-44eb-b6f9-8521963518dd",
"institutionConsentId": "sdp-1-27a192bb-482f-4731-989b-e7271661248d",
"paymentIdempotencyId": "234g87t58tgeuo848wudjew489",
"paymentLifecycleId": "3gaq9wj387aojd83dh7549824",
"status": "COMPLETED",
"statusDetails": {
"status": "COMPLETED",
"statusUpdateDate": "2021-06-10T11:26:54.887Z",
"isoStatus": {
"code": "ACSC",
"name": "AcceptedSettlementCompleted"
}
},
"payeeDetails": {
"name": "Jane Doe",
"address": {
"country": "BE"
},
"accountIdentifications": [
{
"type": "IBAN",
"identification": "BE12345678901234"
}
]
},
"reference": "Bill Payment",
"amount": 1,
"currency": "EUR",
"amountDetails": {
"amount": 1,
"currency": "EUR"
},
"scheduledPaymentType": "DOMESTIC_PAYMENT",
"createdAt": "2021-06-10T11:26:54.887Z"
}
]
}
}Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The consent-token containing the user's authorisation to make the request.
Conditional. Represents the user's login ID for the Institution to a personal account.
See PSU identifiers to see if this header is required.
Conditional. Represents the user's login ID for the Institution to a business account.
See PSU identifiers to see if this header is required.
Conditional. The IP address of the PSU.
See PSU identifiers to see if this header is required.
The sub-application ID to which event type is being subscribed to
Path Parameters
Mandatory. The payment Id of the payment.
Was this page helpful?